## imcode.server.parser
Class MockParserParameters

    java.lang.Object
      imcode.server.parser.ParserParameters
          imcode.server.parser.MockParserParameters

All Implemented Interfaces:
  java.lang.Cloneable

    public class MockParserParameters

extends ParserParameters

Constructor Summary
`MockParserParameters(DocumentRequest documentRequest)`

Method Summary
`boolean` `isMenuMode()`
`void` `setMenuMode(boolean menuMode)`

Methods inherited from class imcode.server.parser.ParserParameters
`clone, fromRequest, getDocumentRequest, getEditingMenuIndex, getFlags, getIncludeLevel, getParameter, getTemplateName, isAdminButtonsVisible, isAnyMode, isGroupMode, isImageMode, isIncludesMode, isTemplateMode, isTextMode, putInRequest, setAdminButtonsVisible, setEditingMenuIndex, setFlags, setIncludeLevel, setParameter, setTemplate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockParserParameters

    public MockParserParameters(DocumentRequest documentRequest)

Method Detail

### isMenuMode

    public boolean isMenuMode()

  Overrides:
    `isMenuMode` in class `ParserParameters`

### setMenuMode

    public void setMenuMode(boolean menuMode)